Subject: Re: [PATCH 5/5] bpf: Allow to resolve bpf trampoline in unwind

From: Jiri Olsa <[email-masked]>
Date: Mon, 13 Jan 2020 13:37:28 +0100

On Mon, Jan 13, 2020 at 01:31:38PM +0100, Björn Töpel wrote:
> On 2020-01-13 13:21, Björn Töpel wrote:
> > 
> > On 2020-01-13 10:43, Jiri Olsa wrote:
> > > hi,
> > > attached patch seems to work for me (trampoline usecase), but I
> > > don't know
> > > how to test it for dispatcher.. also I need to check if we need to
> > > decrease
> > > BPF_TRAMP_MAX or BPF_DISPATCHER_MAX, it might take more time;-)
> > > 
> > 
> > Thanks for working on it! I'll take the patch for a spin.
> > 
> > To test the dispatcher, just run XDP!
> > 
> > With your change, the BPF_DISPATCHER_MAX is still valid. 48 entries =>
> > 1890B which is < (BPF_IMAGE_SIZE / 2).

great

> > 
> 
> ...and FWIW, it would be nice with bpf_dispatcher_<...> entries in kallsyms

ok so it'd be 'bpf_dispatcher_<name>'

from DEFINE_BPF_DISPATCHER(name)

> as well. If that code could be shared with the trampoline code as well
> (bpf_trampoline_<btf_id>), that'd be great!
> 

ok, will add it

thanks,
jirka